package ac.essex.ooechs.fractals.swing;

import ac.essex.ooechs.fractals.colouring.Colourer;
import ac.essex.ooechs.fractals.colouring.FlameColourer;

import javax.swing.*;
import java.awt.*;

/**
 * <p/>
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version,
 * provided that any use properly credits the author.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details at http://www.gnu.org
 * </p>
 *
 * @author Olly Oechsle, University of Essex, Date: 22-Nov-2007
 * @version 1.0
 */
public class ColourPreview extends JPanel {

    protected Colourer c;

    public static void main(String[] args) {
        Colourer c = new FlameColourer();
        JFrame f = new JFrame("Colour Preview");
        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        f.getContentPane().add(new ColourPreview(c));
        f.setSize(600, 100);
        f.setVisible(true);
    }

    public ColourPreview(Colourer c) {
        this.c = c;
    }

    protected void paintComponent(Graphics g) {
        for (int x = 0; x < getWidth(); x++)  {
            g.setColor(c.getColor(x, getWidth()));
            g.drawLine(x, 0, x, getHeight());
        }
    }

}
